## org.eclipse.emf.databinding.edit
Class EMFEditObservables

    java.lang.Object
      org.eclipse.emf.databinding.edit.EMFEditObservables

    public class EMFEditObservables

extends java.lang.Object

PROVISIONAL This API is subject to arbitrary change, including renaming or removal.

Constructor Summary
`EMFEditObservables()`

Method Summary
`static IObservableFactory` `listFactory(Realm realm, EditingDomain domain, EStructuralFeature eStructuralFeature)` Returns a factory for creating observable lists tracking the value of the given feature of a particular `object`.
`static IObservableFactory` `mapFactory(EditingDomain domain, EStructuralFeature eStructuralFeature)` Returns a factory for creating observable maps tracking the value of the given feature of a particular `object`.
`static IObservableList` `observeDetailList(Realm realm, EditingDomain domain, IObservableValue value, EStructuralFeature eStructuralFeature)` Returns an observable list that tracks the current value of the feature of the current value of the master observable value.
`static IObservableValue` `observeDetailValue(Realm realm, EditingDomain domain, IObservableValue value, EStructuralFeature eStructuralFeature)` Returns an observable value that tracks the current value of the feature of the current value of the master observable value.
`static IObservableList` `observeList(EditingDomain domain, EObject eObject, EStructuralFeature eStructuralFeature)` Returns an observable list for the given multi-valued feature of the object.
`static IObservableList` `observeList(Realm realm, EditingDomain domain, EObject eObject, EStructuralFeature eStructuralFeature)` Returns an observable list for the given multi-valued feature of the object.
`static IObservableMap` `observeMap(EditingDomain domain, IObservableSet objects, EStructuralFeature eStructuralFeature)` Returns an observable map in the default realm tracking the current value of the given feature for each object in the given set.
`static IObservableMap[]` `observeMaps(EditingDomain domain, IObservableSet objects, EStructuralFeature[] eStructuralFeatures)` Returns an array of observable maps in the default realm tracking the current value of the given features for each object in the given set.
`static IObservableValue` `observeValue(EditingDomain domain, EObject eObject, EStructuralFeature eStructuralFeature)` Returns an observable value for the given feature of the object.
`static IObservableValue` `observeValue(Realm realm, EditingDomain domain, EObject eObject, EStructuralFeature eStructuralFeature)` Returns an observable value for the given feature of the object.
`static IObservableFactory` `valueFactory(Realm realm, EditingDomain domain, EStructuralFeature eStructuralFeature)` Returns a factory for creating observable values tracking the value of the given feature of a particular `object`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFEditObservables

    public EMFEditObservables()

Method Detail

### observeValue

    public static IObservableValue observeValue(EditingDomain domain,
                                                EObject eObject,
                                                EStructuralFeature eStructuralFeature)

  Returns an observable value for the given feature of the object.

  Parameters:
    `domain` - the editing domain used for applying changes.
    `eObject` - the object to observe.
    `eStructuralFeature` - the feature of the object to observe.
  Returns:
    an observable value for the given feature of the object.

### observeValue

    public static IObservableValue observeValue(Realm realm,
                                                EditingDomain domain,
                                                EObject eObject,
                                                EStructuralFeature eStructuralFeature)

  Returns an observable value for the given feature of the object.

  Parameters:
    `realm` - the realm in which to observe.
    `domain` - the editing domain used for applying changes.
    `eObject` - the object to observe.
    `eStructuralFeature` - the feature of the object to observe.
  Returns:
    an observable value for the given feature of the object.

### observeList

    public static IObservableList observeList(EditingDomain domain,
                                              EObject eObject,
                                              EStructuralFeature eStructuralFeature)

  Returns an observable list for the given multi-valued feature of the object.

  Parameters:
    `domain` - the editing domain used for applying changes.
    `eObject` - the object to observe.
    `eStructuralFeature` - the feature of the object to observe.
  Returns:
    an observable list for the given multi-valued feature of the object.

### observeList

    public static IObservableList observeList(Realm realm,
                                              EditingDomain domain,
                                              EObject eObject,
                                              EStructuralFeature eStructuralFeature)

  Returns an observable list for the given multi-valued feature of the object.

  Parameters:
    `realm` - the realm in which to observe.
    `domain` - the editing domain used for applying changes.
    `eObject` - the object to observe.
    `eStructuralFeature` - the feature of the object to observe.
  Returns:
    an observable list for the given multi-valued feature of the object.

### observeMap

    public static IObservableMap observeMap(EditingDomain domain,
                                            IObservableSet objects,
                                            EStructuralFeature eStructuralFeature)

  Returns an observable map in the default realm tracking the current value of the given feature for each object in the given set.

  Parameters:
    `domain` - the editing domain used for applying changes.
    `objects` - the objects to track.
    `eStructuralFeature` - the feature for which to track the value.
  Returns:
    an observable map tracking the current value of the given feature for each object in the given set.

### observeMaps

    public static IObservableMap[] observeMaps(EditingDomain domain,
                                               IObservableSet objects,
                                               EStructuralFeature[] eStructuralFeatures)

  Returns an array of observable maps in the default realm tracking the current value of the given features for each object in the given set.

  Parameters:
    `domain` - the editing domain used for applying changes.
    `objects` - the objects to track.
    `eStructuralFeatures` - the features for which to track the value.
  Returns:
    an array of observable maps tracking the current value of the given features for each object in the given set.

### observeDetailValue

    public static IObservableValue observeDetailValue(Realm realm,
                                                      EditingDomain domain,
                                                      IObservableValue value,
                                                      EStructuralFeature eStructuralFeature)

  Returns an observable value that tracks the current value of the feature of the current value of the master observable value.

  Parameters:
    `realm` - the realm in which to observe.
    `domain` - the editing domain used for applying changes.
    `value` - the master observable value.
    `eStructuralFeature` - the feature for which to track the value.
  Returns:
    an observable value that tracks the current value of the named property for the current value of the master observable value
  See Also:
    `MasterDetailObservables.detailValue(IObservableValue, IObservableFactory, Object)`

### valueFactory

    public static IObservableFactory valueFactory(Realm realm,
                                                  EditingDomain domain,
                                                  EStructuralFeature eStructuralFeature)

  Returns a factory for creating observable values tracking the value of the given feature of a particular `object`.

  Parameters:
    `realm` - the realm in which to observe.
    `domain` - the editing domain used for applying changes.
    `eStructuralFeature` - the feature for which to track the value.
  Returns:
    an observable factory.

### observeDetailList

    public static IObservableList observeDetailList(Realm realm,
                                                    EditingDomain domain,
                                                    IObservableValue value,
                                                    EStructuralFeature eStructuralFeature)

  Returns an observable list that tracks the current value of the feature of the current value of the master observable value.

  Parameters:
    `realm` - the realm in which to observe.
    `domain` - the editing domain used for applying changes.
    `value` - the master observable value.
    `eStructuralFeature` - the feature for which to track the value.
  Returns:
    an observable value that tracks the current value of the named property for the current value of the master observable value
  See Also:
    `MasterDetailObservables.detailList(IObservableValue, IObservableFactory, Object)`

### listFactory

    public static IObservableFactory listFactory(Realm realm,
                                                 EditingDomain domain,
                                                 EStructuralFeature eStructuralFeature)

  Returns a factory for creating observable lists tracking the value of the given feature of a particular `object`.

  Parameters:
    `realm` - the realm in which to observe.
    `domain` - the editing domain used for applying changes.
    `eStructuralFeature` - the feature for which to track the value.
  Returns:
    an observable factory.

### mapFactory

    public static IObservableFactory mapFactory(EditingDomain domain,
                                                EStructuralFeature eStructuralFeature)

  Returns a factory for creating observable maps tracking the value of the given feature of a particular `object`.

  Parameters:
    `domain` - the editing domain used for applying changes.
    `eStructuralFeature` - the feature for which to track the value.
  Returns:
    an observable factory.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.